@echo off
:start
cls
echo.
echo Welcome to Darklands
echo.
echo  Choose one of the selections below:
echo.
echo     1. Play Darklands. Note: Requires 567K conventional memory without sound.
echo     2. Reset the configuration to match your PC's hardware
echo        or create a boot diskette.
echo     3. Quit.
echo.
echo     Please enter the number for your choice:
query

if errorlevel = 4 goto invalid
if errorlevel = 3 goto end
if errorlevel = 2 goto reset
if errorlevel = 1 goto run

:invalid
cls
echo Invalid option
goto start
goto end

REM Play Darklands
:run
DARKLAND.EXE
goto end

REM reconfigure Darklands 
:reset
cls
echo.
echo There is no need to install Darklands again, select only the configuration 
echo options.
echo.
pause
INSTALL.EXE
goto start
goto end

:end
